Subject: Summary about "Complex matrix diagonalization routine"

From: Jorge Manuel Campos Marques <[email-masked]>
Date: Tue, 23 Apr 2002 17:33:57 +0100

Dear CCLers,
About two months ago I asked for a complex matrix diagonalization
routine.
I would like to thank all those who kindly gave any information or
suggestion.
I apologize for this so late email and summarize here all the answers to

my question:

-----------------------------------------------------------------------------------------

Dear cclers,
We need a complex matrix diagonalization routine in fortran 77.
We have already tried one from EISPACK called CG.F, but it does
not work very well.
Could you kindly tell me another one?
Thanking in advance
J. Marques

--------------------------------------------------------------
Hi Jorge,

try www.netlib.org/lapack and the subroutines therein. You will need to
specify complex/double complex.

Good luck,
Thomas

-------------------------------------------------------------
Dear Jorge,

I guess you can find what you are looking for in the
free lapack library available from netlib. However, if you
are looking specifically for complex-symmetric matrices
(i.e., A(i,j) = A(j,i)) you can find very efficient code at:

http://www.technion.ac.il/technion/chemistry/cc/sw/

Regards,
Thomas

---------------------------------------------------------------
Robert L Waterland wrote:
I have had excellent results with the routines in LAPACK.  You didn't
specify if you wanted eigenvalues only or eigenvalues and eigenvectors.
The driver routine for all eigenvalues and eigenvectors of a single
precision complex Hermitian matrix is called CHEEV.  Routines for all
the
common matrix types are in LAPACK.  You can get the routines and
descriptions from www.netlib.org.  I'm surprised you had problems with a

routine from EISPACK -- what was happening?

----------------------------------------------------------------
Miroslava Cuperlovic-Culf wrote:
There are other subroutines in eispek and linpak. One that we used is
subroutine eisdia. We used it for density matrix diagonalization and it
worked well for at least 2Kx2K matrices. It needs some other subroutines

available from the same place. I am sending to you whole file that we
used
for matrix manipulation (with eisdia and everything else).
Mira

----------------------------------------------------------------
Konrad Hinsen wrote:
The state of the art for almost everything in linear algebra
is LAPACK, available from www.netlib.org (and others).

-----------------------------------------------------------------
Is there not one called CH ?
   Best regards,
       Trond SAUE

-----------------------------------------------------------------
zdenko tomasic wrote:
check LAPACK library from netlib for dense matrices
 or ARPACK from the same place for sparse ones

-----------------------------------------------------------------
Christoph van Wüllen wrote:
I once used a routine from the "Numerical Recipes" Book, and it worked.
I also have tested a complex Jacobi routine, but this was slower.

So look in "numerical recipes", this advice applies also in other
situations.

-----------------------------------------------------------------